function [MDSE_T,MDSE_S]=power_slope(n,C,alpha,gamma,tau,sigma,pi,f,j,k)

    % Critical t-values
    t_alpha = tinv(1 - alpha/2,n*C-3); % critical value for Type I  error
    t_gamma = tinv(gamma,n*C-3);       % critical value for Type II error

    % Initialize distribution statistics
    mu_ind  = zeros(1,length(pi));
    p_ind   = zeros(1,length(pi));

    % Calculate distribution statistics
    for i = 1:length(pi);
        mu_ind(i)  = pi(i) * f(i);
        p_ind(i)   = (1-pi(i)) * f(i);
    end;

    % Variance multipliers
    varN  = tau + sigma;
    varCo = (n-1)*tau;

    %%%%%%%%% Minimum Detectable Effects %%%%%%%%%
    Var_T  = (varCo*(1/f(j)+1/f(k))+varN*(1/mu_ind(j)+1/mu_ind(k)))/(n*C);
    Var_S  = (varCo*(1/f(j)+1/f(k))+varN*(1/p_ind(j)+1/p_ind(k)))/(n*C);
    MDSE_T = ((t_alpha+t_gamma)/(pi(k)-pi(j)))*Var_T^0.5;
    MDSE_S = ((t_alpha+t_gamma)/(pi(k)-pi(j)))*Var_S^0.5;

end
